Bug 561860 (CVE-2010-0417) - CVE-2010-0417 HelixPlayer / RealPlayer: rule book handling heap corruption
Summary: CVE-2010-0417 HelixPlayer / RealPlayer: rule book handling heap corruption
Status: CLOSED ERRATA
Alias: CVE-2010-0417
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,source=internet,repor...
Keywords: Security
Depends On:
Blocks: CVE-2009-0375, CVE-2009-0376, CVE-2009-4241, CVE-2009-4244, CVE-2009-4246
TreeView+ depends on / blocked
 
Reported: 2010-02-04 14:44 UTC by Tomas Hoger
Modified: 2019-06-08 12:55 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-02-09 11:07:06 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0094 normal SHIPPED_LIVE Critical: HelixPlayer security update 2010-02-09 10:14:30 UTC

Description Tomas Hoger 2010-02-04 14:44:39 UTC
An insufficient array boundary checking flaw was fixed in Real Player's / HelixPlayer's RuleBook structures handling code, leading to a heap corruption:

http://lists.helixcommunity.org/pipermail/common-cvs/2008-January/015484.html
https://helixcommunity.org/viewcvs/common/util/rlstate.cpp?view=log#rev1.10

Comment 2 errata-xmlrpc 2010-02-09 10:16:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0094 https://rhn.redhat.com/errata/RHSA-2010-0094.html


Note You need to log in before you can comment on or make changes to this bug.